--永江衣玖用ai
--しなうす式/20220620check

require("function_pun_strage.lua")
head_req_list()

function main()
--シード生成、スレッド生成、base_states 設定
	prebattle001()
--キャラ確認
	char_calling()
--ステージが 核融合炉心部 だと超反応モードに
	prebattle002()

while true do
--スレッド外初期化
	while_top()
    print(yoikoshi_condi())
	
	yield()
end
end